summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGitHub Workflow <workflow@github.com>2023-11-14 23:11:32 +0000
committerGitHub Workflow <workflow@github.com>2023-11-14 23:11:32 +0000
commitcd0562ba8cda9f4afe814e406c6120e863001c91 (patch)
treeb48d5c7adac10127f60eb3085882dbec012b65fc
parent23d099bc33d5252e03d1ccb3b803f3c51beab9fa (diff)
Runs update.sh
-rwxr-xr-x25/apache/entrypoint.sh14
-rwxr-xr-x25/fpm-alpine/entrypoint.sh14
-rwxr-xr-x25/fpm/entrypoint.sh14
-rwxr-xr-x26/apache/entrypoint.sh14
-rwxr-xr-x26/fpm-alpine/entrypoint.sh14
-rwxr-xr-x26/fpm/entrypoint.sh14
-rwxr-xr-x27/apache/entrypoint.sh14
-rwxr-xr-x27/fpm-alpine/entrypoint.sh14
-rwxr-xr-x27/fpm/entrypoint.sh14
9 files changed, 63 insertions, 63 deletions
diff --git a/25/apache/entrypoint.sh b/25/apache/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/25/apache/entrypoint.sh
+++ b/25/apache/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/25/fpm-alpine/entrypoint.sh b/25/fpm-alpine/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/25/fpm-alpine/entrypoint.sh
+++ b/25/fpm-alpine/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/25/fpm/entrypoint.sh b/25/fpm/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/25/fpm/entrypoint.sh
+++ b/25/fpm/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/26/apache/entrypoint.sh b/26/apache/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/26/apache/entrypoint.sh
+++ b/26/apache/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/26/fpm-alpine/entrypoint.sh b/26/fpm-alpine/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/26/fpm-alpine/entrypoint.sh
+++ b/26/fpm-alpine/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/26/fpm/entrypoint.sh b/26/fpm/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/26/fpm/entrypoint.sh
+++ b/26/fpm/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/27/apache/entrypoint.sh b/27/apache/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/27/apache/entrypoint.sh
+++ b/27/apache/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/27/fpm-alpine/entrypoint.sh b/27/fpm-alpine/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/27/fpm-alpine/entrypoint.sh
+++ b/27/fpm-alpine/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi
diff --git a/27/fpm/entrypoint.sh b/27/fpm/entrypoint.sh
index 4c85f6ad..edb539a0 100755
--- a/27/fpm/entrypoint.sh
+++ b/27/fpm/entrypoint.sh
@@ -24,17 +24,17 @@ run_path() {
local hook_folder_path="/docker-entrypoint-hooks.d/$1"
local return_code=0
- echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
-
- if [ -z "$(ls -A "${hook_folder_path}")" ]; then
- echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ if ! [ -d "${hook_folder_path}" ]; then
+ echo "=> Skipping the folder \"${hook_folder_path}\", because it doesn't exist"
return 0
fi
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
(
- for script_file_path in "${hook_folder_path}/"*.sh; do
- if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
- echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ find "${hook_folder_path}" -type f -maxdepth 1 -iname '*.sh' -print | sort | while read -r script_file_path; do
+ if ! [ -x "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" was skipped, because it didn't have the executable flag"
continue
fi